//XmlAttribute.cpp ڵ
#ifndef _XMLNODE_H_
#include "XmlNode.h"

XmlAttribute::XmlAttribute():count(0){}
XmlAttribute::~XmlAttribute()
{ 
	attrList.clear();
	count=0;
}
		
//
void XmlAttribute::Append(const string& name,const string& value)
{ 
	attrList.insert(pair<string, string>(StringHelper::ToLower(name), value));
	count++;
} 
  
//õԵֵ
string& XmlAttribute::operator[](int index)
{ 
	assert(index>=0 || index<count); 
	Iterator iter=attrList.begin();
	while(index)
	{
		if(iter==attrList.end())
		{
			return string();
		}
		iter++;
		index--;
	}
	return (*iter).second;
}

//ƵõԵֵ
string XmlAttribute::operator[](const string& name) 
{
	return GetValue(name); 
}

string XmlAttribute::GetValue(const string& name)
{
	Iterator iter=attrList.find(name);
	if(iter==attrList.end())
		return string();
	return (*iter).second; 
}

bool XmlAttribute::Contains(const string& name)
{
	Iterator iter=attrList.find(name);
	return iter!=attrList.end(); 
}

void XmlAttribute::Remove(const string& name)
{
	Iterator iter=attrList.find(name);
	if(iter!=attrList.end()){
		attrList.erase(iter);
		count--;
	} 
}

//Եĸ
int XmlAttribute::Count() const
{
	return count;
}

//һ
XmlAttribute::Iterator XmlAttribute::begin()  
{
	return attrList.begin(); 
}

//һԵһ
XmlAttribute::Iterator XmlAttribute::end()  
{
	return attrList.end();
}

#endif