//XmlDocument.cpp
#ifndef _XMLDOCUMENT_H_
#include "XmlDocument.h"
bool XmlDocument::Load(FILE* file)
{
	if(file)
	{ 
		long length = 0;
		fseek( file, 0, SEEK_END );
		length = ftell( file );
		fseek( file, 0, SEEK_SET );
			 
		if (length <= 0)
		{ 
			return false;
		}
	 
		buf = new char[length+1]; 
		if (fread(buf,1,length,file) <=0 ) {
			delete [] buf; 
			return false;
		} 
		buf[length]=0; 
		TXmlParser xmlParser(buf,this);
		xmlParser.Parser();  
		return true;
	}
	return false;
}

bool XmlDocument::Load(const string& _fileName) 
{
	fileName=_fileName;
	FILE* file=fopen(fileName.c_str(),"rb");
	bool isOK=false;
	if(file)
	{
		isOK=Load(file);
		fclose(file);
	} 
	if(!isOK)
	{
		cout<<"Load file Error"<<endl;
	}
	return isOK;
}
#endif