//XmlNodeList.cpp
#ifndef _XMLNODE_H_ 
#include "XmlNode.h"
typedef vector<XmlNode*>::iterator Iterator;

XmlNodeList::~XmlNodeList()
{
	Clear();
}

void XmlNodeList::Clear()
{
	for(int i=Count()-1;i>=0;i--)
	{
		delete nodeList[i];
		nodeList[i]=NULL;
	}
	nodeList.clear();
}

void XmlNodeList::AppendNode(XmlNode* node)
{
	nodeList.push_back(node);
}

XmlNode* XmlNodeList::operator[](int index)
{
	assert(index>=0 ||index<Count());  
	return nodeList[index];
} 
 	 
int XmlNodeList::Count()
{
	return nodeList.size();
}

Iterator XmlNodeList::begin()
{
	return nodeList.begin();
}

Iterator XmlNodeList::end()
{
	return nodeList.end(); 
} 

void XmlNodeList::SelectNode(vector<XmlNode*>& vect, const string& name)
{  
	size_t size=nodeList.size();
	for(size_t i=0;i<size;i++)
	{
		if(nodeList[i]->name==name)
		{
			vect.push_back(nodeList[i]);
		}
	}
}

#endif